# aggregate

Host aggregates provide a mechanism to group hosts according to certain criteria.

Compute v2

## aggregate add host

Add host to aggregate

    openstack aggregate add host <aggregate> <host>

aggregate

  Aggregate (name or ID)

host

  Host to add to <aggregate>

## aggregate cache image

Request image caching for aggregate

    openstack aggregate cache image <aggregate> <image> [<image> ...]

aggregate

  Aggregate (name or ID)

image

  Image ID to request caching for aggregate (name or ID). May be specified multiple times.

## aggregate create

Create a new aggregate

    openstack aggregate create
        [--zone <availability-zone>]
        [--property <key=value>]
        <name>

--zone <availability-zone>

  Availability zone name

--property <key=value>

  Property to add to this aggregate (repeat option to set multiple properties)

name

  New aggregate name

## aggregate delete

Delete existing aggregate(s)

    openstack aggregate delete <aggregate> [<aggregate> ...]

aggregate

  Aggregate(s) to delete (name or ID)

## aggregate list

List all aggregates

    openstack aggregate list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

## aggregate remove host

Remove host from aggregate

    openstack aggregate remove host <aggregate> <host>

aggregate

  Aggregate (name or ID)

host

  Host to remove from <aggregate>

## aggregate set

Set aggregate properties

    openstack aggregate set
        [--name <name>]
        [--zone <availability-zone>]
        [--property <key=value>]
        [--no-property]
        <aggregate>

--name <name>

  Set aggregate name

--zone <availability-zone>

  Set availability zone name

--property <key=value>

  Property to set on <aggregate> (repeat option to set multiple properties)

--no-property

  Remove all properties from <aggregate> (specify both –property and –no-property to overwrite the current properties)

aggregate

  Aggregate to modify (name or ID)

## aggregate show

Display aggregate details

    openstack aggregate show <aggregate>

aggregate

  Aggregate to display (name or ID)

## aggregate unset

Unset aggregate properties

    openstack aggregate unset [--property <key>] <aggregate>

--property <key>

  Property to remove from aggregate (repeat option to remove multiple properties)

aggregate

  Aggregate to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.